classification
Title: Drop extraneous comment from winreg.QueryValue's docstring
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: Claudiu.Popa, berker.peksag, loewis, paul.moore, steve.dower
Priority: low Keywords: patch

Created on 2015-03-18 16:51 by Claudiu.Popa, last changed 2016-09-28 22:51 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
drop_winreg_string.patch Claudiu.Popa, 2015-03-18 16:51 review
Messages (2)
msg238459 - (view) Author: PCManticore (Claudiu.Popa) * (Python triager) Date: 2015-03-18 16:51
winreg.QueryValue's docstring has an "interesting" comment at the end:

"But the underlying API call doesn't return the type, Lame Lame Lame, DONT USE THIS!!!"

The documentation (https://docs.python.org/3.4/library/winreg.html#winreg.QueryValue) already mentions the shortcomings of QueryValue. This comment should be removed or at least rewritten in a more serious note.
msg277672 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-09-28 22:51
Thanks for the report and for the patch, Claudiu. The part you mentioned has already been removed in 6e613ecd70f0. Here's the current version:

"Values in the registry have name, type, and data components. This method
retrieves the data for a key's first value that has a NULL name.
But since the underlying API call doesn't return the type, you'll
probably be happier using QueryValueEx; this function is just here for
completeness."
History
Date User Action Args
2016-09-28 22:51:43berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg277672

resolution: out of date
stage: patch review -> resolved
2015-04-19 19:22:28Claudiu.Popasetstage: patch review
2015-03-18 18:33:26paul.mooresetnosy: + paul.moore
2015-03-18 16:51:10Claudiu.Popacreate